'use strict';

var RServerApp = require('./modules/RServerApp.js');
var _Router = require('./modules/Router.js');

var main = {

    /**
     * returns an app instance
     *@param {string} [configPath] - an optional relative path to a user defined config file
     * defaults to .rsvrc.json
     *@returns {RServerApp}
    */
    instance: function instance(configPath) {
        return new RServerApp(configPath);
    },


    /**
     * creates mountable router
     *@param {boolean} [inheritMiddlewares=true] - boolean value indicating if parent middlewares should
     * be inherited. defaults to true
     *@returns {Router}
    */
    Router: function Router(inheritMiddlewares) {
        return new _Router(inheritMiddlewares);
    }
};

module.exports = main;
